Defines the elements, properties, types, structures and slots in the Report Object Model.

## Package Specification

The Design Engine is based on a series of definitions that provide "meta-data" about the various objects that make up a report design. The definitions include:

Property types
  define data types for properties such as string, URI, expression, etc.
Properties
  define the attributes of report elements.
Report elements
  define objects that combine to describe the report.
Choices
  available to properties such as colors, text alignment and other attributes with a fixed set of values.
Slots
  define how elements contain other elements.
Standard styles
  defined by the product itself.

The definition information resides in the meta-data dictionary. There is one instance of the dictionary shared by all designs. The meta-data is invariant across designs.

## Related Documentation

@see org.eclipse.birt.report.model.api.metadata.IElementDefn @see org.eclipse.birt.report.model.api.metadata.IMetaDataDictionary